#
# spec file for package psgplay
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           psgplay
BuildRequires:  automake
BuildRequires:  zlib-devel
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Players
Version:        0.6
Release:        862.1
Summary:        Player for Atari ST Music Files
Source:         psgplay-0.6.tar.gz
Patch0:         psgplay-codecleanup.diff
Patch1:         psgplay-autotools.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package allows you to play music from Atari ST games and demos on
your PC.

You can find a comprehensive archive on the World Wide Web at
http://www.nocrew.org/software/psgplay/tunes/

%prep
%setup -q -n psgplay-0.6
%patch0
%patch1
rm -f acconfig.h

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -Wall"
./configure --prefix=/usr
make

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/bin/psgplay

%changelog
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Mar 29 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 11 2005 pth@suse.de
- Clean up the code.
- Use autoreconf
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Apr 22 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Apr 10 2001 uli@suse.de
- fixed Group tag
* Tue Oct 26 1999 uli@suse.de
- update -> 0.6
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Mar  5 1999 uli@suse.de
- new package, version 0.4
